Google Web Toolkit (Beta)
Search this site:

# Class JParameter

public class JParameter
extends Object
implements HasMetaData
Represents a parameter in a declaration.

## Constructors

JParameter(JAbstractMethod, JType, String) |

## Methods

addMetaData(String, String[]) | Adds additional metadata.
getEnclosingMethod() |
getMetaData(String) | Gets each list of metadata for the specified tag name.
getMetaDataTags() | Gets the name of available metadata tags.
getName() |
getType() |
toString() |

## Constructor Detail

### JParameter

public JParameter(JAbstractMethod enclosingMethod, JType type, String name)

#### Parameters

enclosingMethod
type
name

## Method Detail

### addMetaData

public void addMetaData(String tagName, String[] values)
Adds additional metadata.

#### Parameters

tagName
values

### getEnclosingMethod

public JAbstractMethod getEnclosingMethod()

### getMetaData

public String[][] getMetaData(String tagName)
Gets each list of metadata for the specified tag name.

#### Parameters

tagName

### getMetaDataTags

public String[] getMetaDataTags()
Gets the name of available metadata tags.

### getName

public String getName()

### getType

public JType getType()

### toString

public String toString()